﻿using data.RemoteData.DAO;
using domain.Models;

namespace data.Repository
{
    // Интерфейс для репозитория работы с пользователями.
    public interface IUserRepository
    {
        // Свойство для получения всех пользователей.
        IEnumerable<UserLocalEntity> GetAllUsers { get; }

        // Метод для удаления пользователя по GUID.
        bool RemoveUserByGuid(Guid userGuid);

        // Метод для обновления данных пользователя.
        UserLocalEntity? UpdateUser(UserLocalEntity user);

        // Метод для получения списка пользователей в виде объектов UserDao (только их имена).
        List<UserDao> GetUserNames();
    }
}
